#include <QtTest>
#include <QCoreApplication>
#include <iostream>
#include "misc.h"

// add necessary includes here

class TestMisc : public QObject
{
    Q_OBJECT

private Q_SLOTS:
    void test_case1();
};

void TestMisc::test_case1()
{
    QVERIFY(misc::string::startWith("kylin-process-manager", "kyl"));
    QVERIFY(!misc::string::startWith("/home/kylin/", "kylin"));
    QVERIFY(misc::string::startWith("/home/kylin/", "/home"));

    auto strList = misc::string::split(std::string("/app.slice/app-top.slice/"), '/');
    QVERIFY((strList == std::vector<std::string>{ "app.slice", "app-top.slice"}));
    QVERIFY(strList.back() == "app-top.slice");
}

QTEST_MAIN(TestMisc)

#include "tst_misc.moc"
