#include "appwhitelist.h"

AppWhitelist::AppWhitelist(ConfigManager &configManager)
    : m_configManager{configManager}
{
}

bool AppWhitelist::AddApp(const QString &desktopFile)
{
    return m_configManager.addAppToWhitelist(desktopFile);
}

bool AppWhitelist::RemoveApp(const QString &desktopFile)
{
    return m_configManager.removeAppFromWhitelist(desktopFile);
}

QStringList AppWhitelist::AppList() const
{
    return m_configManager.appWhitelist();
}
