#ifndef APPWHITELIST_H
#define APPWHITELIST_H

#include <QObject>
#include "configmanager.h"

class AppWhitelist : public QObject
{
    Q_OBJECT
public:
    explicit AppWhitelist(ConfigManager &configManager);

    // dbus service interfaces
    bool AddApp(const QString &desktopFile);
    bool RemoveApp(const QString &desktopFile);
    QStringList AppList() const;

private:
    ConfigManager &m_configManager;
};

#endif // APPWHITELIST_H
