#ifndef DATACOLLECTOR_H
#define DATACOLLECTOR_H

#include <future>

class DataCollector
{
public:
    DataCollector() = default;
    void collectResouceLimitedEnebaled(bool enabled);
    void collectSoftFreezeModeEnabled(bool enabled);

private:
    struct CollectData {
        std::string key;
        std::string value;
    };

private:
    void collectData(CollectData data);

private:
    std::future<void> m_collectFuture;
};

#endif // DATACOLLECTOR_H
