#ifndef RESOURCEWATCHER_H
#define RESOURCEWATCHER_H

#include <QObject>

class ResourceWatcher : public QObject
{
    Q_OBJECT
public:
    explicit ResourceWatcher(QObject *parent = nullptr);

Q_SIGNALS:
    void finished();
    void ResourceThresholdWarning(QString resource, int level);

public Q_SLOTS:
    virtual void start() = 0;
    virtual void stop() = 0;
};

#endif // RESOURCEWATCHER_H
