#include "profileattribute.h"

ProfileAttribute::~ProfileAttribute() = default;

CgroupProfileAttribute::CgroupProfileAttribute(
    const std::string &name, const std::string &controllerName,
    const std::string &fileName)
    : m_name(name)
    , m_controllerName(controllerName)
    , m_fileName(fileName)
{
}

std::string CgroupProfileAttribute::name() const
{
    return m_name;
}

std::string CgroupProfileAttribute::controllerName() const
{
    return m_controllerName;
}

std::string CgroupProfileAttribute::fileName() const
{
    return m_fileName;
}
