#include "datacollector.h"
#include <kysdk/diagnosetest/libkydatacollect.h>

void DataCollector::collectResouceLimitedEnebaled(bool enabled)
{
    collectData({"HierarchicalFreeze", enabled ? "enbaled" : "disabled"});
}

void DataCollector::collectSoftFreezeModeEnabled(bool enabled)
{
    collectData({"SoftFreezeMode", enabled ? "enbaled" : "disabled"});
}

void DataCollector::collectData(CollectData data)
{
    m_collectFuture = std::async(std::launch::async, [this, data]() {
        KTrackData *node = kdk_dia_data_init(KEVENTSOURCE_DESKTOP, KEVENT_CLICK);
        kdk_dia_upload_default(node, (char *)data.key.c_str(), (char *)data.value.c_str());
        kdk_dia_data_free(node);
    });
}
