#ifndef ENERGYMETER_H
#define ENERGYMETER_H

class EnergyMeter
{
public:
    virtual ~EnergyMeter() = default;
    virtual void startMeasurement() = 0;
    virtual void endMeasurement() = 0;
    virtual double energyConsumption() const = 0;
    // w/s
    virtual double energyConsumptionRate() const = 0;
};

#endif // ENERGYMETER_H
