#ifndef UPOWERSYSTEMENERY_H
#define UPOWERSYSTEMENERY_H

#include "systemenergy.h"
#include <QDBusInterface>

class UPowerSystemEnery : public SystemEnergy
{
public:
    UPowerSystemEnery();
    ~UPowerSystemEnery() override = default;

    double energy() override;
    double dischargeRate() override;
    int timeToEmpty() override;

private:
    QVariant getUpowerProperty(const QString &propertyName);

private:
    QDBusInterface m_upowerDbusInterface;
};

#endif // UPOWERSYSTEMENERY_H
