#ifndef SYSTEMDUNITMANAGER_H
#define SYSTEMDUNITMANAGER_H

#include <QString>
#include "systemddbusinterface.h"

class SystemdUnitManager
{
public:
    SystemdUnitManager() = default;

    void setSystemdUnitPropertyEnabled(
        const QString &unitName, const QString &propertyName, bool enabled);

private:
    SystemdDbusInterface m_systemdDbusInterface;
};

#endif // SYSTEMDUNITMANAGER_H
