#ifndef PROCESSINFOHELPER_H
#define PROCESSINFOHELPER_H

#include <string>
#include <vector>

class ProcessInfoHelper
{
public:
    static std::string cmdline(int pid);
    static bool processExists(int pid);
    static int parentPid(int pid);
    static std::vector<int> childPids(int parentPid);
    static std::vector<int> childPids(const std::vector<int> &parentPids);
    static std::string cgroup(int pid);
    static std::vector<int> pidsOfCgroup(const std::string &cgroupPath);
};

#endif // PROCESSINFOHELPER_H
